Name:           bunny
Version:        0.93
Release:        5%{?dist}
Summary:        Instrumented C code security fuzzer

Group:          Development/Tools
License:        ASL 2.0
URL:            http://code.google.com/p/%{name}-the-fuzzer/
Source0:        http://%{name}-the-fuzzer.googlecode.com/files/%{name}-%{version}.tgz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  openssl-devel

# Package dynamically re-writes assembly code
# Primary Architectures
ExcludeArch:    ppc       # Bug 469055
ExcludeArch:    ppc64     # Bug 469058

# Secondary Architectures
ExcludeArch:    ia64      # Bug 469057
ExcludeArch:    s390, sparc, alpha, arm

%description
A closed loop, high-performance, general purpose protocol-blind fuzzer
for C programs.  Uses compiler-level integration to seamlessly inject
precise and reliable instrumentation hooks into the traced
program. These hooks enable the fuzzer to receive real-time feedback
on changes to the function call path, call parameters, and return
values in response to variations in input data.  This architecture
makes it possible to significantly improve the coverage of the testing
process without a noticeable performance impact usually associated
with other attempts to peek into run-time internals.

%prep
%setup -q -n %{name}


%build
make %{?_smp_mflags} CFLAGS="$RPM_OPT_FLAGS"

%check
make test1
make test2
make test3

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir}
install -p -m 755 %{name}-exec $RPM_BUILD_ROOT%{_bindir}/
install -p -m 755 %{name}-flow $RPM_BUILD_ROOT%{_bindir}/
install -p -m 755 %{name}-gcc $RPM_BUILD_ROOT%{_bindir}/
install -p -m 755 %{name}-main $RPM_BUILD_ROOT%{_bindir}/
install -p -m 755 %{name}-trace $RPM_BUILD_ROOT%{_bindir}/

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc COPYING README CHANGES
%{_bindir}/%{name}-exec
%{_bindir}/%{name}-flow
%{_bindir}/%{name}-gcc
%{_bindir}/%{name}-main
%{_bindir}/%{name}-trace


%changelog
* Wed Oct 29 2008 Rakesh Pandit <rakesh@fedoraproject.org> 0.93-5
- Included ExcludeArch Bug numbers for ppc, ppc64 and ia64

* Fri Oct 24 2008 Rakesh Pandit <rakesh@fedoraproject.org> 0.93-4
- added CHANGES file to %%doc

* Fri Oct 24 2008 Rakesh Pandit <rakesh@fedoraproject.org> 0.93-3
- moved ia64 to secondary arch, used CFLAGS in place of replacing
- -03 with -02

* Fri Oct 24 2008 Rakesh Pandit <rakesh@fedoraproject.org> 0.93-2
- timestamp saving, added excluded archs

* Wed Aug 13 2008 Rakesh Pandit <rakesh@fedoraproject.org> 0.93-1
- Initial built
